e2guardian (5.5.8-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 09 Apr 2025 21:19:31 +0200

e2guardian (5.5.7-1) unstable; urgency=medium

  * New usptream release.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 23 Mar 2025 17:36:51 +0100

e2guardian (5.5.6-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 05 Nov 2024 15:49:25 +0100

e2guardian (5.5.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version to 4.7.0. No changes needed.
  * debian/patches:
    + Drop 1001_spelling-fixes.patch, 1002_fix-
      maxcontentramcachescansize.patch and 0001_possible-fix-for-794.patch.
      All applied upstream.
  * debian/patches:
    + Trivially rebase patches 1003 and 1004.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 09 Jun 2024 22:41:21 +0200

e2guardian (5.5.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Add 1003_pcre2.patch. Build against pcre2 rather than deprecated pcre
      library.
    + Drop patches applied upstream.
    + Update 1001_spelling-fixes.patch and re-submit as upstream PR against
      v5.5 branch.
    + Rebase 1002_fix-maxcontentramcachescansize.patch against v5.5 and re-
      submit upstream as regression fix. (Shipped in v5.4, but not v5.5).
    + Cherry-pick 0001_possible-fix-for-794.patch from upstream. Detect
      incomplete headers and bail out.
    + Add 1004_32-bit-correct-worker-count.patch. Reduce httpworkers count to
      300 on 32bit architectures. Thanks to Steve Langasek for providing the
      idea and a patch. (Closes: #1053343).
  * debian/rules:
    + Add dh_clean override and allow rebuilding the package.
  * debian/e2guardian.examples:
    + Drop contrib/monitor_helper_sample. File not available in upstream sources
      anymore.
  * debian/control:
    + Add to B-D: libpcre2-dev.
    + In B-D, move from pkg-config to pkgconf.
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions, rework entire file.
  * debian/e2guardian.lintian-overrides:
    + Update national-encoding override list.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 09 Feb 2024 12:59:02 +0100

e2guardian (5.3.5-5) unstable; urgency=medium

  * debian/watch:
    + Fix tracking URL / path pattern.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 10 Sep 2023 14:49:33 +0200

e2guardian (5.3.5-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build with GCC 13. (Closes: #1037637)
  * Disable pcre support. (Closes: #1000131)
  * d/control: Drop unused quilt.

 -- Bastian Germann <bage@debian.org>  Wed, 30 Aug 2023 08:40:56 +0000

e2guardian (5.3.5-4) unstable; urgency=medium

  * debian/watch:
    + Use different upstream URL path.
  * debian/control:
    + Bump Standards-Version: to 4.6.1. No changes needed.
  * debian/copyright:
    + Update attributions for debian/.
  * lintian: Update tag syntax.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 22 Oct 2022 20:05:11 +0000

e2guardian (5.3.5-3) unstable; urgency=medium

  * debian/patches:
    + CVE-2021-44273: Fix missing SSL certificate/hostname validation in
      the SSL MiTM engine (if built with OpenSSL v1.1.x). Add
      0001_CVE-2021-44273_fix-hostname-validation-in-certificates.patch.
      (Closes: #1003125).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 07 Jan 2022 21:35:18 +0100

e2guardian (5.3.5-2) unstable; urgency=medium

  * debian/patches:
    + Add 1002_fix-maxcontentramcachescansize.patch. Make sure values of
      maxcontentfiltersize and maxcontentramcachesize obey to the requirements
      in the inline documentation. (Closes: #998430).
    + Add 1003_AM_INIT_AUTOMAKE-expanded-multiple-times.patch. Avoid expanding
      AM_INIT_AUTOMAKE multiple times. (Closes: #998482).
  * debian/source/lintian-overrides:
    + Adjust for lintian in Debian bookworm.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 15 Nov 2021 16:24:16 +0100

e2guardian (5.3.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch:
    + Bump format version to 4.
  * debian/source/lintian-overrides:
    + Drop duplicate line from.
  * debian/copyright:
    + Update copyright attributions.
  * debian/e2guardian.lintian-overrides:
    + Add file; ignore national-encoding issues being reported by lintian.
  * debian/control:
    + Bump DH compat level to version 13.
    + Bump Standards-Version: to 4.6.0. No changes needed.
  * debian/e2guardian.service:
    + Enable some hardening features.
  * debian/patches:
    + Mark 2002_Debian-clamd-socket.patch as Debian-specific.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 13 Sep 2021 13:33:53 +0200

e2guardian (5.3.4-2) unstable; urgency=medium

  * debian/changelog:
    + Post-upload fix-up of missing changelog item regarding addition of
      1001_spelling-fixes.patch
  * debian/watch:
    + Fix Github watch URL.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 29 Apr 2021 11:48:42 +0200

e2guardian (5.3.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/upstream/metadata:
    + Add file. Comply with DEP-12.
  * debian/control:
    + Bump Standards-Version: to 4.5.0. No changes needed.
    + Add Rules-Requires-Root: field and set it to 'no'.
  * debian/patches:
    + Add 1001_spelling-fixes.patch. Fix spelling of the work 'implement'.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 15 Feb 2020 10:43:10 +0100

e2guardian (5.3.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.4.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 02 Aug 2019 19:50:00 +0200

e2guardian (5.3.1-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 22 Feb 2019 14:16:07 +0100

e2guardian (5.2.2-3) unstable; urgency=medium

  [ Mike Gabriel ]
  * ClamAV integration upload. Thanks to Scott Kitterman for providing
    the below changes. (Closes: #920965).
  * debian/control:
    + Bump Standards-Version: to 4.3.0. No changes needed.
    + Add to B-D: pkg-config.
    + Add Pre-Depends: ${misc:Pre-Depends}. Thanks lintian
      (skip-systemd-native-flag-missing-pre-depends).
  * debian/{control,compat}:
    + Drop compat file. Switch to debhelper-compat in control file.
      Bump DH compat level to version 12.
  * debian/e2guardian.lintian-overrides:
    + Drop file. Not required any more.

  [ Scott Kitterman ]
  * Remove unknown configure options.
  * Drop unneeded build-depends on libclamav-dev (package uses clamd at run
    time, not libclamav).
  * Add explicit depends on clamav-daemon since it is now in a separate binary.
  * Drop suggests on clamav-freshclam (clamav-daemon depends on it).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 02 Feb 2019 16:29:17 +0100

e2guardian (5.2.2-2) unstable; urgency=medium

  * debian/e2guardian.logrotate:
    + Add option 'missingok', to avoid logrotate choking if package has been
      removed, but not purged. (Closes: #911450).
  * debian/prerm:
    + Drop file.
  * debian/postinst:
    + Drop config value detection. Rework complete file. (Closes: #909821).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 04 Dec 2018 13:57:24 +0100

e2guardian (5.2.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.2.1. No changes needed.
  * debian/source/lintian-overrides:
    + Add neterr_template.html overrides (embeds a PNG image).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 30 Oct 2018 19:27:55 +0100

e2guardian (5.2.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.2.0. No changes needed.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 28 Aug 2018 09:58:15 +0200

e2guardian (5.1.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch:
    + Work around #906150 and change URL from .../tags to .../releases.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 16 Aug 2018 12:37:08 +0200

e2guardian (5.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 1001_typo-fix-for-syslog-msg.patch and 1002_typo-fix.patch.
      Applied upstream.
  * debian/rules:
    + Use dh_missing, rather than dh_install for --fail-missing option.
  * debian/e2guardian.docs:
    + Update list of doc files shipped with the package.
  * debian/e2guardian.doc-base:
    + Update list of documentation files.
  * debian/copyright:
    + Update copyright attributions.
    + Update auto-generated copyright.in file.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 18 Jul 2018 16:49:54 +0200

e2guardian (4.1.5-1) unstable; urgency=medium

  * New upstream release. (Closes: #864524).
  * debian/copyright:
    + Update copright attributions.
    + Use secure URI to reference copyright format.
    + Update autogenerated copyright file.
  * debian/control:
    + Bump Standards-Version: to 4.1.3. No changes needed.
    + Drop unnecessary B-D as of DH level 11: autotools-dev, dh-autoreconf.
    + Add B-D: libssl-dev (>= 1.1).
    + Add B-D: libpthread-stubs0-dev.
    + Packaging VCS has been migrated to salsa.debian.org. Update Vcs-*:
      fields.
    + Bump Standards-Version: to 4.1.4. No changes needed.
  * debian/{control,compat}:
    + Bump DH version level to 11.
  * debian/rules:
    + Disable dh-autoreconf, we use autogen.sh script.
    + Drop --with-quilt from this pkg. It is source format 3.0 (quilt) already.
    + Enable SSLMitM (--enable-sslmitm=yes) support. (Closes: #892788)
    + Build with PCRE support (--enable-pcre=yes).
    + Add --with-systemd for all DH calls. This should enable e2guardian
      directly after installation. (Closes: #860963).
  * debian/: White-space clean-up.
  * debian/patches:
    + Add 1001_typo-fix-for-syslog-msg.patch. Typo fix in syslog message.
    + Add 1002_typo-fix.patch. Yet another typo fix.
    + Forward patch 1001_typo-fix-for-syslog-msg.patch upstream. Add Forwarded:
      field.
  * debian/postinst:
    + Avoid recursive chmod/chown.
    + Use -maxdepth 1 in find/chmod/chown.
  * debian/contentregexplist:
    + Falsely sneaked into debian/ subfolder. Dropping it
  * lintian:
    + Catch various lintian warnings/errors we are aware of and can't change
      at the time being:

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 22 May 2018 14:30:04 +0200

e2guardian (3.4.0.3-2) unstable; urgency=medium

  * debian/patches:
    + Add 0001_fix-certificate-bug-with-chrome-browser.patch. Make sure
      self-created certificates contain a SAN (subjectAltName) field. (Closes:
      #862855).

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 31 May 2017 11:45:41 +0200

e2guardian (3.4.0.3-1) unstable; urgency=medium

  * Initial release to Debian. (Closes: #836281).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 07 Sep 2016 16:37:57 +0200
